Search the Community
Showing results for tags 'lisp'.
-
Need help reducing multiple oversized dimension text boxes at once
0misclose posted a topic in AutoCAD 2D Drafting, Object Properties & Interface
I have a drawing with multiple rotated dimensions and some are quite small resulting in text being offset to the leader. I was wondering if there is an easy way to change all the text box components of the dimensions to fit the actual size of the text so that it isn't so offset from the leader witho... -
Hi every one, good day to all, I have a very interesting concept to do in autocad with lisp. To automate the creation of multiple concrete profiles based on existing profile points (lines, polylines, curves, or ellipses) and extend these profiles further using predefined data...
-
Batch plot to pdf for DWG and layouts with different path and name
harimaddddy posted a topic in AutoLISP, Visual LISP & DCL
Hi everyone , I want to automate the process of converting multiple DWG files into PDFs, where each layout is saved as a separate PDF with a unique name and stored in specific directories. For example, if one DWG file has three layouts, those three layouts should be saved as three separa... -
Dear, sir, Any trick,code, VBA, Excel for publish pdf and etransmit also. I have many cad drawings, every drawing have a folder I want to make pdf & etransmit at time ( if in 2 step pdf first and etransmit second no issue) but at same path . But Without opening the drawings....
-
Dear sir, I need a program for to draw hatching as per condition, multiple selection at time. If separate, separate lisp no issue, if add option for 2 line and 3line Cad file attached with situation and require solution. Thanks HATCHING PATTERN AS...
-
The current routine works but requires 2 major changes (1) and (2). So... basically what I would like to accomplish would be: 1) find a way so that the filtering process accounts for a specific block throughout the drawing instead of :L , but no success on this regard: (if (setq s (ssge...
-
Hello, I found a lisp made by third parties and I wanted to adapt it, tried to make the changes myself, but the lisp doesn't work at all. The original lisp (VPGRID.lsp) creates a coordinate grid when selecting the viewport, however the coordinate labels come with the E/N suff...
-
Replacing an extrusion profile with another profile
Dan Kitchens posted a topic in AutoCAD 3D Modelling & Rendering
A while back AutoCAD introduced semi-parametric extrusions, you could alter the polyline and the extrusion would update. It's a great feature, but has anyone heard of a way of replacing the polyline profile with a different one? This would be very handy for cabinetmakers who use a variety of profile...- 14 replies
-
- lisp
- 3d modelling
-
(and 3 more)
Tagged with:
-
I got this code from chatgpt, that chatgpt got from a defunct post from autocad website forums. Whenever I tried going to the website or googling, the link seems broken so I don't know how this code exactly works. I am trying to make a Lisp that creates dimstyles from scratch. everything...
- 2 replies
-
- annotative dimension
- autolisp
-
(and 1 more)
Tagged with:
-
I would like some help to create a function that would allow me to select a point in between two horizontal and/or vertical lines and it would give me the vertical and horizontal dimensions between those lines. It's a 2D drawing but some lines are of different z value. I have tried using chatgpt to...
-
Create field from attribute in block and put it directly into dimension.
fromMlm posted a topic in AutoLISP, Visual LISP & DCL
Hi all, Again I have found a lisp Lee Mac made that copies a field into a dimension, "copyfield", but it requires that the field already exists... So is there a way to create a field from an attribute in a block and then insert the field directly into a dimension? Thanks in advance. -
"I'm interested in using Lisp for a project involving rope simulations. Can you recommend a Lisp implementation capable of rendering rope-like curves with realistic physics-based deformations?" bandicam 2024-11-21 13-23-17-231.mp4
-
Hi my friends , Happy day.... I'm trying to solve an issue to help my non-coder friends. I'm using a Lisp file that contains all my routines, but I can't explain everything every time. So, I want to create a table inside AutoCAD that lists the shortcut commands and their descriptions, si...
-
Hi friends Source:https://www.cadtutor.net/forum/topic/68426-create-automatic-level-in-metric/ (Defun c:BT() (Setq sst(ssget) sset(ssget "p" '((0 . "text"))) tv (cdr(Assoc 1 (Entget(ssname sset 0))))) (command "move" sst "" "@" "@") (setq lset (ssget "p" '((0 . "line")))) (Set...
-
;crank value based on bar dia only (defun c:Z1 ( / s p a q r below-dia above-dia z cushion k-multiplier) ;; Define bar diameters within the command (setq diameters '((3 . 0.375) (4 . 0.5) (5 . 0.625) (6 . 0.75) (7 . 0.875) (8 . 1.0) (9 . 1.270) (10 . 1.310))) ;; Helper fun...
-
Hello everyone. This is my first time posting but i have enjoyed a lot of your great work. I use a lot a field about object/polyline/length - decimal 0 (copy it to different polylines and than get their lenghth) and i am tired of changing object from dialogbox. Is there an easy way (lisp or othe...
-
Text entities process with green selection window
harimaddddy posted a topic in AutoLISP, Visual LISP & DCL
Hi all, I need some help from pros, but my English is not good . I'm use this 1 command to align the text with custom insertion point and evenly distributed, the issues are listed below, 1. When I select the text entities with green window (snap-1) it reorder all text entitie... -
Is There Any Way To Export All Layers Separately Into Pdf Format?
Shahtaj Bhutto posted a topic in Tutorials & Tips'n'Tricks
Hi Is there any way to export all layers separately into pdf format? i want to export all of them at once to edit them in illustrator. It's taking alot of time to export them one by one from autocad I don't have any professional Experience with programming but i have tried to m...- 10 replies
-
Dear members Can please add Additional code for Road marking chevron starting interval nd fix/continue interval , start base point. By layer, chev solid I will be very thankful to you Thanks Lisp program and image attached CHEVERON MARKING.lsp
-
Hello good afternoon, First of all, I apologize but I don't have any kind of training in programming and I try to get by with the tools I have at my disposal (forums, YouTube, AI,...) I am a topographic engineer and I needed a lisp that would draw the grid the way I wanted, I hav...
-
I have difficult time finding a command that would match a block's attribute (text height, text rotation, and text scale) with a source block. I had found a LISP routine that would match the block itself with a source block but it did not include attributes. I don't need to match attibute values,...
-
Revision cloud lisp with custom rotation of revision block on temporarily layer
fromMlm posted a topic in AutoLISP, Visual LISP & DCL
I found this nice revision cloud lisp made by Lee Mac: (defun c:rv ( / *error* ar bn cm el fn rv ) (setq bn "revlsp") ;; Rev Cloud Attributed Block (defun *error* ( msg ) (if cm (setvar 'cmdecho cm)) (if ar (setvar 'attreq ar)) (if (not (wcmatch (strcase msg... -
find the dimension and polyline distance using AUTOLISP
keku posted a topic in AutoLISP, Visual LISP & DCL
I'm new to Lisp and trying calculate the distance from a wall to a polygon box, as well as the distance between two polygon boxes. Additionally, I need to determine the dimensions of both the polygon box and the wall. I'm using Lee Mac's dimensioning code as a reference and trying to modify it to ac... -
Hello everyone I need a Lisp that converts the contents of one or more separate texts (not MTEXT) to another text. Suppose that there are discrete texts in different places of the layout, for example, apple, orange, banana, lemon. I need a lisp that after typing the command, I do the first right...
-
Set MLeader to Existing MLeader Style via LISP
parkerdepriest posted a topic in AutoLISP, Visual LISP & DCL
Hello, I am trying to create a lisp routine that sets all existing MLEADERs to a certain pre-set MLEADERSTYLE, the equivalent of doing a Quick Select for Mleaders, and setting the style under the properties window. I was able to write a similar routine that selects all dimensions and sets th...